package GenRGenS.ratexpr;

/** Classe représentant l'expression a */
class RatExprTerm implements RatExpr {
	
	Integer _lettre;
	
	public RatExprTerm(Object o) {
		this((Integer) o);
	}
	
	public RatExprTerm(Integer s) {
		if (s == null) {
			_lettre = null;
			return;
		}
		
		if (s.intValue() >= 0)
			_lettre = s;
		else
			_lettre = null;
	}
		
	public Integer getCharacter() { return _lettre; }
	
	public boolean isEpsilon() { return _lettre == null; }
	
	public String toString() {
		return _lettre.toString();
	}
	
}